package club.clubk.ktag.apps.mine

/**
 * Team targeting settings.
 */
enum class TargetTeamSetting(val value: Int) {
    RED(1),
    BLUE(2),
    ALL(3);

    companion object {
        fun fromInt(value: Int): TargetTeamSetting =
            entries.find { it.value == value } ?: ALL
    }
}
